Access

Archive a workspace and its projects

POST
/api/workspaces/{workspaceId}/lifecycle/archive

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

workspaceId*string
Length1 <= length

Request Body

  1. body
fingerprint*string
Length1 <= length
cancelPending?boolean
confirmName?string
acknowledgeUncertain?boolean
replacementWorkspaceId?string

Response Body

Response for status 200

application/json
  1. response
kind*string
Value in"project""workspace"
id*string
name*string
state*string
Value in"active""archiving""archived""deleting""deleted"
revision*number
isDefault*boolean
fingerprint*string
cleanupPending*number
changedAt*number
projects*array<>
counts*
publications*
pending*number
uncertain*number
active*number
members*number
Example Request
curl -X POST 'https://postbot.example/api/workspaces/string/lifecycle/archive' \
  -H 'Content-Type: application/json' \
  -d '{
  "fingerprint": "string"
}'
Example Response
{
  "kind": "project",
  "id": "string",
  "name": "string",
  "state": "active",
  "revision": 0,
  "isDefault": true,
  "fingerprint": "string",
  "cleanupPending": 0,
  "changedAt": 0,
  "projects": [
    {
      "id": "string",
      "name": "string",
      "state": "active"
    }
  ],
  "counts": {},
  "publications": {},
  "pending": 0,
  "uncertain": 0,
  "active": 0,
  "members": 0
}

Was this page helpful?